### Function

# GObject signal_parse_name

since: 2.0

#### Declaration

    gboolean
    g_signal_parse_name (
      const gchar* detailed_signal,
      GType itype,
      guint* signal_id_p,
      GQuark* detail_p,
      gboolean force_detail_quark
    )

#### Description

Internal function to parse a signal name into its `signal_id` and `detail` quark.

Available since: 2.0

#### Parameters

`detailed_signal`

  Type: `const gchar*`

  A string of the form “signal-name::detail”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`itype`

  Type: `GType`

  The interface/instance type that introduced “signal-name”.

`signal_id_p`

  Type: `guint*`

  Location to store the signal id.

  The argument will be set by the function.

`detail_p`

  Type: `GQuark`

  Location to store the detail quark.

  The argument will be set by the function.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

`force_detail_quark`

  Type: `gboolean`

  `TRUE` forces creation of a `GQuark` for the detail.

#### Return value

Type: `gboolean`

Whether the signal name could successfully be parsed and `signal_id_p` and `detail_p` contain valid return values.